hexchat: fail autoload python

OpenSubmitted by me.
Details
2 participants
  • me
  • zimoun
Owner
unassigned
Severity
normal
M
Bug report:
(address . bug-guix@gnu.org)
CAJMnT9StGCE8+1y=eHuxX-M53ud-m_-pM1U0VqjXzKHe=t9B8Q@mail.gmail.com
I see the following output in hexchat
AutoLoad failed for:/gnu/store/qwhnczvqp6jqayk9xdn71h8x6al86ffg-hexchat-2.14.3/lib/hexchat/plugins/python.so /gnu/store/qwhnczvqp6jqayk9xdn71h8x6al86ffg-hexchat-2.14.3/lib/hexchat/plugins/python.so:undefined symbol: PyExc_RuntimeError
Installed packages
$ guix package -Icoreutils 8.32 out/gnu/store/n8awazyldv9hbzb7pjcw76hiifmvrpvd-coreutils-8.32bash 5.0.16 out /gnu/store/87kif0bpf0anwbsaw0jvg8fyciw4sz67-bash-5.0.16sed 4.8 out /gnu/store/hzx0iyg1a637zywcbhv3l9lk9fkyihgs-sed-4.8keepassxc 2.6.4 out/gnu/store/wamb1s3q8gi5gqwl65py1zzr49b64jc7-keepassxc-2.6.4tor 0.4.4.7out /gnu/store/3iywvy1cwzrivzfzxkipzkxmlng57yjw-tor-0.4.4.7guile 3.0.5 out /gnu/store/m5iprcg6pb5ch86r9agmqwd8v6kp7999-guile-3.0.5guile-readline 3.0.2 out/gnu/store/va6l1ivclww22fi38w5h99pb4ndn99hg-guile-readline-3.0.2libusb 1.0.24 out /gnu/store/n10y99pf7pq8qh7sfb7fg80yyjjy1g32-libusb-1.0.24glibc-utf8-locales 2.31 out/gnu/store/9fgskzi20bfig3rxapgddsa26sspdsa1-glibc-utf8-locales-2.31emacs-geiser 0.12 out/gnu/store/p7igyy5yfkc1fvnvx19h2g49f6qaajs5-emacs-geiser-0.12libfaketime 0.9.8 out/gnu/store/82kln6jq4cv8g9rgf8nqdd705klr6kxc-libfaketime-0.9.8guile-colorized0.1 out/gnu/store/5h0jfssgyx49cq82wrmw57an7ngb7kkz-guile-colorized-0.1emacs-rainbow-delimiters 2.1.4 out/gnu/store/n0nxn93g11fvj7r0j89r0jx66qspc59h-emacs-rainbow-delimiters-2.1.4fontconfig 2.13.1 out/gnu/store/y9fdy234r6hqiacd7hgwlmbdsngbp8p1-fontconfig-2.13.1python-libusb1 1.6.4 out/gnu/store/fjcaf5mk2va9ajshibz5gg1njm67pdj0-python-libusb1-1.6.4gnome-clocks 3.34.0 out/gnu/store/m8ghy5w1jk87xj4c9861fij2xlsq60cg-gnome-clocks-3.34.0virt-manager 2.2.1 out/gnu/store/i5i9bcxb7s9cnndi3xy5af8p9cfxdw0k-virt-manager-2.2.1calibre4.18.0 out /gnu/store/gnmj4s9b63bm54764z68araq5hynmans-calibre-4.18.0nautilus 3.34.2 out/gnu/store/wd1c4q75p8p51rb4b6w174m72ysx87fq-nautilus-3.34.2icecat 78.7.0-guix0-preview1 out/gnu/store/2b1wrmhvm3jlcwywa16xls53aw9l4cpd-icecat-78.7.0-guix0-preview1emacs 27.1 out /gnu/store/7mvfn7d96q61lmya9j6hw77zn0z45d2q-emacs-27.1maven 3.6.1 out /gnu/store/kwl4balm3b0vkq5c1khl9d3dlxzy6ax8-maven-3.6.1recutils 1.8 out /gnu/store/wy4479in9ccb6lpcgl8dpgm1qbwam0br-recutils-1.8emacs-guix 0.5.2-3.a694fdbout/gnu/store/p7n9i8gjz29w68dmywz8n50fdmwpb47n-emacs-guix-0.5.2-3.a694fdbokular 20.12.1out /gnu/store/xj782bkcr5f4fsv061i0da1f1x3nmpvq-okular-20.12.1vlc 3.0.12 out /gnu/store/bqjxypj30krnisnzkdxqlapdrq011gvn-vlc-3.0.12terminology 1.9.0 out/gnu/store/w2ac3mlz3gajhjqvw73mx117mvrf7jf8-terminology-1.9.0python 3.8.2 out /gnu/store/9h5pjxj879y9rzy04m1v9835l4fblw95-python-3.8.2gnome-boxes 3.36.6 out/gnu/store/v8gnyw9c87p2s3c0c3v4jhqjk34aac0h-gnome-boxes-3.36.6python-virtualenv 20.2.1 out/gnu/store/bbbmn0g6jv0hhnhyx1i5ybzxqdr9csh9-python-virtualenv-20.2.1python-pip 20.2.4 out/gnu/store/c4zwj7cf8lz2cvi3nghd0vgmjsnz2b8b-python-pip-20.2.4xdg-utils 1.1.3 out/gnu/store/j3nj0b5ajd7la5vi11rmhn0fkp6wn9vx-xdg-utils-1.1.3evince 3.36.5 out /gnu/store/kjd09h5imyfhhc0nfgbsj5n1w1md4ljb-evince-3.36.5gnupg 2.2.27 out /gnu/store/flmqsgqiyg770anv3zfdz1ydprl7pm0i-gnupg-2.2.27gedit 3.34.1 out /gnu/store/fahmpb7wzsfx5bgzblfvfpyqlgj2la2l-gedit-3.34.1meld 3.20.2 out /gnu/store/yymd9dcrlykmz29y2nqxmxb99q0k3ys2-meld-3.20.2openssl1.1.1i out /gnu/store/9h9153akbd6g2520mcl2d0vgbvyfi5qm-openssl-1.1.1ihexchat2.14.3 out /gnu/store/qwhnczvqp6jqayk9xdn71h8x6al86ffg-hexchat-2.14.3
Attachment: file
Z
Z
zimoun wrote on 26 Mar 09:34 +0100
(address . me@stephane.today)(address . 46828@debbugs.gnu.org)
86eeg2b9fj.fsf@gmail.com
Hi,
On Sun, 28 Feb 2021 at 10:23, me@stephane.today wrote:
Toggle quote (5 lines)> I see the following output in hexchat>> AutoLoad failed for: /gnu/store/qwhnczvqp6jqayk9xdn71h8x6al86ffg-hexchat-2.14.3/lib/hexchat/plugins/python.so> /gnu/store/qwhnczvqp6jqayk9xdn71h8x6al86ffg-hexchat-2.14.3/lib/hexchat/plugins/python.so: undefined symbol: PyExc_RuntimeError
I cannot reproduce. AFAICT,
guix environment --ad-hoc hexchat -- hexchat
works for me. Could you explain more what did you did and what does notwork?
Thanks,simon
Z
Z
zimoun wrote on 26 Mar 09:34 +0100
control message for bug #46828
(address . control@debbugs.gnu.org)
86czvmb9el.fsf@gmail.com
retitle 46828 hexchat: fail autoload pythonquit
Z
Z
zimoun wrote on 26 Mar 09:34 +0100
(address . control@debbugs.gnu.org)
86blb6b9eb.fsf@gmail.com
tags 46828 + moreinfoquit
Z
Z
zimoun wrote on 28 Mar 21:15 +0200
Re: bug#46828: Bug report:
867dlr6qek.fsf@gmail.com
Hi,
On Sun, 28 Mar 2021 at 21:36, me@stephane.today wrote:
Toggle quote (5 lines)> I run the same command as you, the program starts, connects, everything is> cool, my report is about this error in the output,> I want to understand if it's a bug that needs fixing, or something I can> ignore:
I do not know. I guess it means you cannot use a Python plugin.
And it seems a bug but I do not know from where it comes, upstream orpackaging. I note that the Python plugin raises warning at build time.

Cheers,simon
?